# certi Namespace Reference

## Classes
class | AuditFile
| AuditFile class is used to store information into a file for later usage. More...
class | AuditLine
class | BaseRegion
class | BasicMessage
| Base class for messages. More...
class | Clock
| An abstract Clock class. More...
class | Dimension
| Describes a dimension in a routing space. More...
class | Exception
class | Extent
| An extent is a subspace in a routing space. More...
class | FederateLevelList
class | FedRegion
class | FedTime
class | AttributeHandleSet
class | FederateHandleSet
class | AttributeHandleValuePair
class | AttributeHandleValuePairSet
class | ParameterHandleValuePair
class | ParameterHandleValuePairSet
class | Handled
| CERTI Handled class. More...
class | HandleManager
| Manage a set of handles ('provide' and 'free' services). More...
class | HandleComparator
| HandleComparator is a comparison functor for objects having a getHandle() method. More...
class | NameComparator
| NameComparator is a comparison functor for objects having a getName() method. More...
class | Interaction
| OMT Interaction class. More...
struct | InteractionBroadcastLine
class | InteractionBroadcastList
class | InteractionSet
class | LBTS
class | Message
| The Message class is used to formalize messages that are going to be exchanged between the RTI and the federate. More...
class | MessageBuffer
| MessageBuffer is a class managing a byte buffer for Message exchange. More...
class | Named
| A base class used for CERTI named object. More...
class | NetworkMessage
| NetworkMessage is the base class used for modelling message exchanged between RTIG and RTIA. More...
class | NM_Factory
| Network Message factory. More...
class | NM_WithHandleArray
class | NM_DDM_Base
class | NM_Not_Used
class | NM_Close_Connexion
class | NM_Message_Null
class | NM_Create_Federation_Execution
class | NM_Destroy_Federation_Execution
class | NM_Join_Federation_Execution
class | NM_Resign_Federation_Execution
class | NM_Set_Time_Regulating
class | NM_Set_Time_Constrained
class | NM_Time_Regulation_Enabled
class | NM_Time_Constrained_Enabled
class | NM_Start_Registration_For_Object_Class
class | NM_Stop_Registration_For_Object_Class
class | NM_Set_Class_Relevance_Advisory_Switch
class | NM_Set_Interaction_Relevance_Advisory_Switch
class | NM_Set_Attribute_Relevance_Advisory_Switch
class | NM_Set_Attribute_Scope_Advisory_Switch
class | NM_Register_Federation_Synchronization_Point
class | NM_Synchronization_Point_Registration_Succeeded
class | NM_Announce_Synchronization_Point
class | NM_Synchronization_Point_Achieved
class | NM_Federation_Synchronized
class | NM_Request_Federation_Save
class | NM_Federate_Save_Begun
class | NM_Federate_Save_Complete
class | NM_Federate_Save_Not_Complete
class | NM_Initiate_Federate_Save
class | NM_Federation_Saved
class | NM_Federation_Not_Saved
class | NM_Request_Federation_Restore
class | NM_Federate_Restore_Complete
class | NM_Federate_Restore_Not_Complete
class | NM_Request_Federation_Restore_Succeeded
class | NM_Request_Federation_Restore_Failed
class | NM_Federation_Restore_Begun
class | NM_Initiate_Federate_Restore
class | NM_Federation_Restored
class | NM_Federation_Not_Restored
class | NM_Publish_Object_Class
class | NM_Unpublish_Object_Class
class | NM_Publish_Interaction_Class
class | NM_Unpublish_Interaction_Class
class | NM_Subscribe_Object_Class
class | NM_Unsubscribe_Object_Class
class | NM_Subscribe_Interaction_Class
class | NM_Unsubscribe_Interaction_Class
class | NM_Turn_Interactions_On
class | NM_Turn_Interactions_Off
class | NM_Register_Object
class | NM_Discover_Object
class | NM_Update_Attribute_Values
class | NM_Reflect_Attribute_Values
class | NM_Send_Interaction
class | NM_Receive_Interaction
class | NM_Delete_Object
class | NM_Remove_Object
class | NM_Change_Attribute_Transport_Type
class | NM_Change_Attribute_Order_Type
class | NM_Change_Interaction_Transport_Type
class | NM_Change_Interaction_Order_Type
class | NM_Request_Class_Attribute_Value_Update
class | NM_Request_Object_Attribute_Value_Update
class | NM_Is_Attribute_Owned_By_Federate
class | NM_Query_Attribute_Ownership
class | NM_Attribute_Is_Not_Owned
class | NM_Inform_Attribute_Ownership
class | NM_Negotiated_Attribute_Ownership_Divestiture
class | NM_Attribute_Ownership_Acquisition_Notification
class | NM_Attribute_Ownership_Divestiture_Notification
class | NM_Request_Attribute_Ownership_Assumption
class | NM_Attribute_Ownership_Unavailable
class | NM_Attribute_Ownership_Acquisition_If_Available
class | NM_Unconditional_Attribute_Ownership_Divestiture
class | NM_Attribute_Ownership_Acquisition
class | NM_Request_Attribute_Ownership_Release
class | NM_Cancel_Negotiated_Attribute_Ownership_Divestiture
class | NM_Attribute_Ownership_Release_Response
class | NM_Cancel_Attribute_Ownership_Acquisition
class | NM_Confirm_Attribute_Ownership_Acquisition_Cancellation
class | NM_DDM_Create_Region
class | NM_DDM_Modify_Region
class | NM_DDM_Delete_Region
class | NM_DDM_Associate_Region
class | NM_DDM_Register_Object
class | NM_DDM_Unassociate_Region
class | NM_DDM_Subscribe_Attributes
class | NM_DDM_Unsubscribe_Attributes
class | NM_DDM_Subscribe_Interaction
class | NM_DDM_Unsubscribe_Interaction
class | NM_Provide_Attribute_Value_Update
class | NM_Get_FED_File
class | NM_Last
struct | delme
class | Object
class | ObjectAttribute
| Object attribute information. More...
class | CDiffusion
class | ObjectClass
| OMT object class. More...
class | ObjectClassAttribute
class | ObjectBroadcastLine
class | ObjectClassBroadcastList
class | ObjectClassSet
| This class represents a set of object classes. More...
class | ObjectSet
class | Parameter
class | PosixClock
| A Clock implemented using POSIX clock_xxxxx API. More...
class | RootObject
| The RootObject is literally the "root" object of the HLA object class hierarchy. More...
class | RoutingSpace
class | RTIRegion
class | SecureTCPSocket
| Security layer using GSSAPI over a TCP socket. More...
class | SecurityLevel
class | SecurityServer
class | Socket
class | SocketHTTPProxy
class | SocketMC
class | SocketTuple
| Element of the SocketServer internal list. More...
class | SocketServer
class | SocketTCP
| This TCP socket implementation uses a Read Buffer to improve global read performances(by reducing Recv system calls). More...
class | SocketUDP
class | SocketUN
| Socket Unix handling class. More...
class | Subscriber
class | Subscribable
| This class is a base class for "subscribable" classes. More...
class | TreeNamedAndHandledSet
| This templated class represents a set of objects whose type is template ObjectType. More...
class | TSCClock
| The TSCClock is a Clock using the Time Stamp Counter which may be found in Pentium-like processors http://en.wikipedia.org/wiki/Time_Stamp_Counter Note that using TSC on a symmetric (or multi-core) multi-processor system may gives unexpected results moreover TSC behavior may be biaised if processor supports dynamic frequency scaling such as Pentium M used on mobile device. More...
class | WinClock
class | WinPerfClock
class | XmlParser
| The CERTI XML federation Object Model parser. More...
struct | certi_cast
class | AttributeHandleValuePairSetImp
class | AttributeHandleSetImp
class | FederateHandleSetImp
class | ParameterHandleValuePairSetImp
class | RegionImp
## Namespaces
namespace | fedparser
namespace | rtia
namespace | rtig
## Typedefs
typedef unsigned short | UShort
typedef unsigned long | ULong
typedef long | Long
typedef ULong | Handle
typedef Handle | ObjectClassHandle
typedef Handle | InteractionClassHandle
typedef ULong | ExtentIndex
typedef Handle | AttributeHandle
typedef Handle | ParameterHandle
typedef Handle | ObjectHandle
typedef Handle | DimensionHandle
typedef Handle | FederateHandle
typedef Handle | OrderType
typedef Long | SpaceHandle
typedef Handle | TransportType
typedef RTI::EventRetractionHandle | EventRetractionHandle
typedef UShort | ObjectHandlecount
typedef std::string | ObjectName_t
typedef std::string | AttributeValue_t
typedef std::string | ParameterValue_t
typedef Handle | RegionHandle
typedef std::pair< ULong, ULong > | Range
typedef std::vector< Range > | RangeSet
typedef FedTime | FederationTime
typedef FedTime | FederationTimeDelta
typedef std::pair < AttributeHandle, AttributeValue_t > | AttributeHandleValuePair_t
typedef std::pair < ParameterHandle, ParameterValue_t > | ParameterHandleValuePair_t
## Enumerations
enum | ObjectRemovalReason { OUT_OF_REGION = 1, OBJECT_DELETED, NO_LONGER_SUBSCRIBED }
enum | TypeException { e_NO_EXCEPTION = 0, e_ArrayIndexOutOfBounds, e_AsynchronousDeliveryAlreadyEnabled, e_AsynchronousDeliveryAlreadyDisabled, e_AttributeAlreadyOwned, e_AttributeAlreadyBeingAcquired, e_AttributeAlreadyBeingDivested, e_AttributeAcquisitionWasNotRequested, e_AttributeDivestitureWasNotRequested, e_AttributeNotDefined, e_AttributeNotKnown, e_AttributeNotOwned, e_AttributeNotPublished, e_AttributeNotSubscribed, e_ConcurrentAccessAttempted, e_CouldNotDiscover, e_CouldNotOpenRID, e_CouldNotOpenFED, e_CouldNotRestore, e_DeletePrivilegeNotHeld, e_ErrorReadingRID, e_ErrorReadingFED, e_EventNotKnown, e_FederateAlreadyPaused, e_FederateAlreadyExecutionMember, e_FederateDoesNotExist, e_FederateInternalError, e_FederateNameAlreadyInUse, e_FederateNotExecutionMember, e_FederateNotPaused, e_FederateNotPublishing, e_FederateNotSubscribing, e_FederateOwnsAttributes, e_FederatesCurrentlyJoined, e_FederateWasNotAskedToReleaseAttribute, e_FederationAlreadyPaused, e_FederationExecutionAlreadyExists, e_FederationExecutionDoesNotExist, e_FederationNotPaused, e_FederationTimeAlreadyPassed, e_RegionNotKnown, e_IDsupplyExhausted, e_InteractionClassNotDefined, e_InteractionClassNotKnown, e_InteractionClassNotPublished, e_InteractionParameterNotDefined, e_InteractionParameterNotKnown, e_InvalidDivestitureCondition, e_InvalidExtents, e_InvalidFederationTime, e_InvalidFederationTimeDelta, e_InvalidObjectHandle, e_InvalidResignAction, e_InvalidRetractionHandle, e_InvalidRoutingSpace, e_MemoryExhausted, e_NameNotFound, e_NoPauseRequested, e_NoResumeRequested, e_ObjectClassNotDefined, e_ObjectClassNotKnown, e_ObjectClassNotPublished, e_ObjectClassNotSubscribed, e_ObjectNotKnown, e_ObjectAlreadyRegistered, e_RestoreInProgress, e_RestoreNotRequested, e_RTICannotRestore, e_RTIinternalError, e_SpaceNotDefined, e_SaveInProgress, e_SaveNotInitiated, e_SecurityError, e_SpecifiedSaveLabelDoesNotExist, e_TimeAdvanceAlreadyInProgress, e_TimeAdvanceWasNotInProgress, e_TooManyIDsRequested, e_UnableToPerformSave, e_UnimplementedService, e_UnknownLabel, e_ValueCountExceeded, e_ValueLengthExceeded, e_AttributeAcquisitionWasNotCanceled, e_DimensionNotDefined, e_EnableTimeConstrainedPending, e_EnableTimeConstrainedWasNotPending, e_EnableTimeRegulationPending, e_EnableTimeRegulationWasNotPending, e_FederateLoggingServiceCalls, e_HandleValuePairMaximumExceeded, e_InteractionClassNotSubscribed, e_InvalidHandleValuePairSetContext, e_InvalidLookahead, e_InvalidOrderingHandle, e_InvalidRegionContext, e_InvalidTransportationHandle, e_OwnershipAcquisitionPending, e_RegionInUse, e_SynchronizationPointLabelWasNotAnnounced, e_TimeConstrainedAlreadyEnabled, e_TimeConstrainedWasNotEnabled, e_TimeRegulationAlreadyEnabled, e_TimeRegulationWasNotEnabled, e_NetworkError, e_NetworkSignal }
enum | SignalHandlerType { stSignalInterrupt, stIgnoreSignal }
## Functions
std::ostream & | operator<< (std::ostream &s, const FedTime &time)
int | fcmp (double x1, double x2, double epsilon)
FedTime | operator+ (const double &, const FedTime &)
FedTime | operator- (const double &, const FedTime &)
FedTime | operator* (const double &, const FedTime &)
FedTime | operator/ (const double &, const FedTime &)
static pdCDebug | D ("GAV","(gav) - ")
static pdCDebug | D ("INTERACTION","(Interact) - ")
static pdCDebug | D ("INTBROADCASTLIST","(broadcas) - ")
static PrettyDebug | G ("GENDOC", __FILE__)
static pdCDebug | D ("INTERACTIONSET","(InterSet) - ")
static pdCDebug | D ("LBTS", __FILE__)
static PrettyDebug | D ("RTIA_MSG","Message::")
static PrettyDebug | D ("MB","MB::")
static PrettyDebug | D ("RTIG_MSG","NetworkMessage:")
static pdCDebug | D ("OBJECTATTRIBUTE","(Obj_Attr) - ")
static pdCDebug | D ("OBJECTCLASS", __FILE__)
static pdCDebug | D ("OBJECTCLASSATTRIBUTE","(Obj.Cl.Attr) ")
static pdCDebug | D ("BROADCAST", __FILE__)
static PrettyDebug | D ("OBJECTCLASSSET", __FILE__)
static pdCDebug | D ("OBJECTSET","(ObjectSet) - ")
static pdCDebug | D ("ROOTOBJECT","(RootObject) ")
static pdCDebug | D ("STCPSOCK", __FILE__)
static PrettyDebug | D ("SOCKHTTP","(SocketHTTPProxy) - ")
static pdCDebug | D ("SOCKTCP","(SocketTCP) - ")
static pdCDebug | D ("SOCKUDP","(SocketUDP) - ")
template<typename ObjectType>
std::ostream & | operator<< (std::ostream &os, TreeNamedAndHandledSet< ObjectType > set)
## Variables
const TransportType | RELIABLE = 1
const TransportType | BEST_EFFORT = 2
const OrderType | RECEIVE = 1
const OrderType | TIMESTAMP = 2
const int | MAX_BACKLOG = 256
static PrettyDebug | G ("GENDOC", __FILE__)
static PrettyDebug | D ("RTIA_MSG","Message::")

## Typedef Documentation

typedef Handle AttributeHandle

Definition at line 112 of file certi.hh.

typedef std::pair<AttributeHandle, AttributeValue_t> AttributeHandleValuePair_t

Definition at line 61 of file RTItypesImp.hh.

typedef std::string AttributeValue_t

Definition at line 125 of file certi.hh.

typedef Handle DimensionHandle

Definition at line 115 of file certi.hh.

typedef RTI::EventRetractionHandle EventRetractionHandle

Definition at line 121 of file certi.hh.

typedef ULong ExtentIndex

Definition at line 111 of file certi.hh.

typedef Handle FederateHandle

Definition at line 116 of file certi.hh.

typedef FedTime FederationTime

Definition at line 180 of file FedTimeD.hh.

typedef FedTime FederationTimeDelta

Definition at line 181 of file FedTimeD.hh.

typedef ULong Handle

Definition at line 108 of file certi.hh.

typedef Handle InteractionClassHandle

Definition at line 110 of file certi.hh.

typedef long Long

Definition at line 107 of file certi.hh.

typedef Handle ObjectClassHandle

Definition at line 109 of file certi.hh.

typedef Handle ObjectHandle

Definition at line 114 of file certi.hh.

typedef UShort ObjectHandlecount

Definition at line 123 of file certi.hh.

typedef std::string ObjectName_t

Definition at line 124 of file certi.hh.

typedef Handle OrderType

Definition at line 117 of file certi.hh.

typedef Handle ParameterHandle

Definition at line 113 of file certi.hh.

typedef std::pair<ParameterHandle, ParameterValue_t> ParameterHandleValuePair_t

Definition at line 172 of file RTItypesImp.hh.

typedef std::string ParameterValue_t

Definition at line 126 of file certi.hh.

typedef std::pair<ULong, ULong> Range

Definition at line 37 of file Extent.hh.

typedef std::vector<Range> RangeSet

Definition at line 38 of file Extent.hh.

typedef Handle RegionHandle

Definition at line 133 of file certi.hh.

typedef Long SpaceHandle

Definition at line 118 of file certi.hh.

typedef Handle TransportType

Definition at line 119 of file certi.hh.

typedef unsigned long ULong

Definition at line 106 of file certi.hh.

typedef unsigned short UShort

Definition at line 105 of file certi.hh.

## Enumeration Type Documentation

enum ObjectRemovalReason

Enumerator:

  OUT_OF_REGION |
  OBJECT_DELETED |
  NO_LONGER_SUBSCRIBED |

Definition at line 128 of file certi.hh.

enum SignalHandlerType

Enumerator:

  stSignalInterrupt |
  stIgnoreSignal |

Definition at line 41 of file SocketUN.hh.

enum TypeException

Enumerator:

  e_NO_EXCEPTION |
  e_ArrayIndexOutOfBounds |
  e_AsynchronousDeliveryAlreadyEnabled |
  e_AsynchronousDeliveryAlreadyDisabled |
  e_AttributeAlreadyOwned |
  e_AttributeAlreadyBeingAcquired |
  e_AttributeAlreadyBeingDivested |
  e_AttributeAcquisitionWasNotRequested |
  e_AttributeDivestitureWasNotRequested |
  e_AttributeNotDefined |
  e_AttributeNotKnown |
  e_AttributeNotOwned |
  e_AttributeNotPublished |
  e_AttributeNotSubscribed |
  e_ConcurrentAccessAttempted |
  e_CouldNotDiscover |
  e_CouldNotOpenRID |
  e_CouldNotOpenFED |
  e_CouldNotRestore |
  e_DeletePrivilegeNotHeld |
  e_ErrorReadingRID |
  e_ErrorReadingFED |
  e_EventNotKnown |
  e_FederateAlreadyPaused |
  e_FederateAlreadyExecutionMember |
  e_FederateDoesNotExist |
  e_FederateInternalError |
  e_FederateNameAlreadyInUse |
  e_FederateNotExecutionMember |
  e_FederateNotPaused |
  e_FederateNotPublishing |
  e_FederateNotSubscribing |
  e_FederateOwnsAttributes |
  e_FederatesCurrentlyJoined |
  e_FederateWasNotAskedToReleaseAttribute |
  e_FederationAlreadyPaused |
  e_FederationExecutionAlreadyExists |
  e_FederationExecutionDoesNotExist |
  e_FederationNotPaused |
  e_FederationTimeAlreadyPassed |
  e_RegionNotKnown |
  e_IDsupplyExhausted |
  e_InteractionClassNotDefined |
  e_InteractionClassNotKnown |
  e_InteractionClassNotPublished |
  e_InteractionParameterNotDefined |
  e_InteractionParameterNotKnown |
  e_InvalidDivestitureCondition |
  e_InvalidExtents |
  e_InvalidFederationTime |
  e_InvalidFederationTimeDelta |
  e_InvalidObjectHandle |
  e_InvalidResignAction |
  e_InvalidRetractionHandle |
  e_InvalidRoutingSpace |
  e_MemoryExhausted |
  e_NameNotFound |
  e_NoPauseRequested |
  e_NoResumeRequested |
  e_ObjectClassNotDefined |
  e_ObjectClassNotKnown |
  e_ObjectClassNotPublished |
  e_ObjectClassNotSubscribed |
  e_ObjectNotKnown |
  e_ObjectAlreadyRegistered |
  e_RestoreInProgress |
  e_RestoreNotRequested |
  e_RTICannotRestore |
  e_RTIinternalError |
  e_SpaceNotDefined |
  e_SaveInProgress |
  e_SaveNotInitiated |
  e_SecurityError |
  e_SpecifiedSaveLabelDoesNotExist |
  e_TimeAdvanceAlreadyInProgress |
  e_TimeAdvanceWasNotInProgress |
  e_TooManyIDsRequested |
  e_UnableToPerformSave |
  e_UnimplementedService |
  e_UnknownLabel |
  e_ValueCountExceeded |
  e_ValueLengthExceeded |
  e_AttributeAcquisitionWasNotCanceled |
  e_DimensionNotDefined |
  e_EnableTimeConstrainedPending |
  e_EnableTimeConstrainedWasNotPending |
  e_EnableTimeRegulationPending |
  e_EnableTimeRegulationWasNotPending |
  e_FederateLoggingServiceCalls |
  e_HandleValuePairMaximumExceeded |
  e_InteractionClassNotSubscribed |
  e_InvalidHandleValuePairSetContext |
  e_InvalidLookahead |
  e_InvalidOrderingHandle |
  e_InvalidRegionContext |
  e_InvalidTransportationHandle |
  e_OwnershipAcquisitionPending |
  e_RegionInUse |
  e_SynchronizationPointLabelWasNotAnnounced |
  e_TimeConstrainedAlreadyEnabled |
  e_TimeConstrainedWasNotEnabled |
  e_TimeRegulationAlreadyEnabled |
  e_TimeRegulationWasNotEnabled |
  e_NetworkError |
  e_NetworkSignal |

Definition at line 34 of file Exception.hh.

## Function Documentation

static pdCDebug certi::D | ( | "SOCKUDP" | ,
|  | "(SocketUDP) - " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "SOCKTCP" | ,
|  | "(SocketTCP) - " |  |
| ) |  |  | `[static]`

static PrettyDebug certi::D | ( | "SOCKHTTP" | ,
|  | "(SocketHTTPProxy) - " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "STCPSOCK" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "ROOTOBJECT" | ,
|  | "(RootObject) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "OBJECTSET" | ,
|  | "(ObjectSet) - " |  |
| ) |  |  | `[static]`

static PrettyDebug certi::D | ( | "OBJECTCLASSSET" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "BROADCAST" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "OBJECTCLASSATTRIBUTE" | ,
|  | "(Obj.Cl.Attr) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "OBJECTCLASS" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "OBJECTATTRIBUTE" | ,
|  | "(Obj_Attr) - " |  |
| ) |  |  | `[static]`

static PrettyDebug certi::D | ( | "RTIG_MSG" | ,
|  | "NetworkMessage:" |  |
| ) |  |  | `[static]`

static PrettyDebug certi::D | ( | "MB" | ,
|  | "MB::" |  |
| ) |  |  | `[static]`

static PrettyDebug certi::D | ( | "RTIA_MSG" | ,
|  | "Message::" |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "LBTS" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "INTERACTIONSET" | ,
|  | "(InterSet) - " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "INTBROADCASTLIST" | ,
|  | "(broadcas) - " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "INTERACTION" | ,
|  | "(Interact) - " |  |
| ) |  |  | `[static]`

static pdCDebug certi::D | ( | "GAV" | ,
|  | "(gav) - " |  |
| ) |  |  | `[static]`

int certi::fcmp | ( | double | x1,
|  | double | x2,
|  | double | epsilon |
| ) |  |  | `[inline]`

Definition at line 74 of file FedTimeD.hh.

Referenced by FedTime::fcmp(), RTIfedTime::operator!=(), RTIfedTime::operator<(), RTIfedTime::operator<=(), RTIfedTime::operator==(), RTIfedTime::operator>(), and RTIfedTime::operator>=().

static PrettyDebug certi::G | ( | "GENDOC" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

FedTime certi::operator* | ( | const double & | ,
|  | const FedTime & |  |
| ) |  |  |

Definition at line 410 of file FedTime.cc.

References FedTime::getTime().

Here is the call graph for this function:

FedTime certi::operator+ | ( | const double & | ,
|  | const FedTime & |  |
| ) |  |  |

Definition at line 394 of file FedTime.cc.

References FedTime::getTime().

Here is the call graph for this function:

FedTime certi::operator- | ( | const double & | ,
|  | const FedTime & |  |
| ) |  |  |

Definition at line 402 of file FedTime.cc.

References FedTime::getTime().

Here is the call graph for this function:

FedTime certi::operator/ | ( | const double & | ,
|  | const FedTime & |  |
| ) |  |  |

Definition at line 418 of file FedTime.cc.

References FedTime::getTime().

Here is the call graph for this function:

std::ostream& certi::operator<< | ( | std::ostream & | os,
|  | TreeNamedAndHandledSet< ObjectType > | set |
| ) |  |  | `[inline]`

Definition at line 336 of file TreeNamedAndHandledSet.hh.

References TreeNamedAndHandledSet::begin(), and TreeNamedAndHandledSet::end().

Here is the call graph for this function:

std::ostream& certi::operator<< | ( | std::ostream & | s,
|  | const FedTime & | time |
| ) |  |  |

Definition at line 381 of file FedTime.cc.

References FedTime::getTime(), infinity_str, and FedTime::isPositiveInfinity().

Here is the call graph for this function:

## Variable Documentation

const TransportType BEST_EFFORT = 2

Definition at line 137 of file certi.hh.

Referenced by Federation::broadcastAnyMessage(), Federation::broadcastSomeMessage(), Interaction::changeTransportationType(), certi::fedparser::printTransport(), InteractionBroadcastList::sendPendingMessage(), ObjectClassBroadcastList::sendPendingRAVMessage(), ObjectSet::sendToFederate(), and ObjectClass::sendToFederate().

pdCDebug D("SOCKUDP","(SocketUDP) - ") | ( | "RTIA_MSG" | ,
|  | "Message::" |  |
| ) |  |  | `[static]`

Referenced by ObjectClass::addAttribute(), ObjectClassSet::addClass(), InteractionSet::addClass(), ObjectClassBroadcastList::addFederate(), InteractionBroadcastList::addFederate(), ObjectClass::addInheritedClassAttributes(), Interaction::addInheritedClassParameter(), Interaction::addParameter(), ObjectClass::attributeOwnershipAcquisition(), ObjectClass::attributeOwnershipAcquisitionIfAvailable(), ObjectClass::attributeOwnershipReleaseResponse(), ObjectClass::broadcastClassMessage(), Interaction::broadcastInteractionMessage(), ObjectClass::cancelAttributeOwnershipAcquisition(), ObjectSet::cancelNegotiatedAttributeOwnershipDivestiture(), Interaction::changeOrderType(), Interaction::changeTransportationType(), ObjectClass::checkFederateAccess(), ObjectClassBroadcastList::clear(), InteractionBroadcastList::clear(), SocketHTTPProxy::createConnection(), ObjectClass::deleteInstance(), ObjectClassSet::deleteObject(), NetworkMessage::deserialize(), Message::deserialize(), BasicMessage::deserialize(), ObjectClass::getAttribute(), ObjectClassSet::getAttributeHandle(), ObjectClass::getAttributeHandle(), ObjectClassSet::getAttributeName(), ObjectClassSet::getInstanceClass(), ObjectClass::getInstanceWithID(), SecurityServer::getLevelIDWithName(), ObjectClassSet::getObjectClassName(), ObjectSet::isAttributeOwnedByFederate(), ObjectClass::isFederatePublisher(), ObjectClassSet::killFederate(), ObjectClass::killFederate(), Subscriber::match(), ObjectClassSet::negotiatedAttributeOwnershipDivestiture(), ObjectClass::negotiatedAttributeOwnershipDivestiture(), Extent::overlaps(), ObjectClassSet::publish(), ObjectClassAttribute::publish(), ObjectClass::publish(), Interaction::publish(), ObjectSet::queryAttributeOwnership(), MessageBuffer::read_doubles(), MessageBuffer::read_floats(), MessageBuffer::read_uint16s(), MessageBuffer::read_uint32s(), MessageBuffer::read_uint64s(), MessageBuffer::read_uint8s(), BasicMessage::readExtents(), Message::readHeader(), SocketTCP::receive(), SecureTCPSocket::receive(), NetworkMessage::receive(), Message::receive(), SocketHTTPProxy::receiveLine(), ObjectClass::recursiveDiscovering(), RootObject::registerObjectInstance(), ObjectClassSet::registerObjectInstance(), ObjectClass::registerObjectInstance(), SocketTCP::send(), SecureTCPSocket::send(), NetworkMessage::send(), Message::send(), ObjectClass::sendDiscoverMessages(), SocketHTTPProxy::sendHTTPConnect(), Interaction::sendInteraction(), ObjectClassBroadcastList::sendPendingDOMessage(), InteractionBroadcastList::sendPendingMessage(), ObjectClassBroadcastList::sendPendingRAVMessage(), ObjectSet::sendToFederate(), ObjectClass::sendToFederate(), ObjectClass::sendToOwners(), NetworkMessage::serialize(), Message::serialize(), BasicMessage::serialize(), MessageBuffer::setSizeInReservedBytes(), Subscribable::subscribe(), ObjectClass::subscribe(), Message::trace(), ObjectClassSet::unconditionalAttributeOwnershipDivestiture(), ObjectClass::unconditionalAttributeOwnershipDivestiture(), ObjectClassAttribute::unpublish(), Interaction::unpublish(), ObjectClass::unsubscribe(), LBTS::update(), ObjectClassSet::updateAttributeValues(), ObjectClass::updateAttributeValues(), MessageBuffer::write_doubles(), MessageBuffer::write_floats(), MessageBuffer::write_uint16s(), MessageBuffer::write_uint32s(), MessageBuffer::write_uint64s(), MessageBuffer::write_uint8s(), BasicMessage::writeExtents(), Interaction::~Interaction(), ObjectClass::~ObjectClass(), and Subscribable::~Subscribable().

PrettyDebug G("GENDOC", __FILE__) | ( | "GENDOC" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

Referenced by ObjectClassBroadcastList::adaptMessage(), ObjectClass::broadcastClassMessage(), InteractionSet::broadcastInteraction(), Interaction::broadcastInteractionMessage(), NetworkMessage::deserialize(), Message::deserialize(), ObjectClassSet::getAttributeHandle(), ObjectClass::getAttributeHandle(), Message::getValueArray(), InteractionBroadcastList::InteractionBroadcastList(), Message::readBody(), Message::readHeader(), Message::readValueArray(), NetworkMessage::receive(), Message::receive(), RootObject::requestObjectOwner(), ObjectSet::requestObjectOwner(), NetworkMessage::send(), Message::send(), Interaction::sendInteraction(), ObjectClassBroadcastList::sendPendingMessage(), InteractionBroadcastList::sendPendingMessage(), ObjectClassBroadcastList::sendPendingRAVMessage(), NetworkMessage::serialize(), Message::serialize(), Message::setAHS(), Message::setAHVPS(), Message::setAttributes(), Message::setPHVPS(), Message::writeBody(), and Message::writeHeader().

const int MAX_BACKLOG = 256

Definition at line 142 of file certi.hh.

Referenced by SocketTCP::createTCPServer().

const OrderType RECEIVE = 1

Definition at line 138 of file certi.hh.

Referenced by AttributeHandleValuePairSet::AttributeHandleValuePairSet(), AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(), Interaction::changeOrderType(), ParameterHandleValuePairSet::ParameterHandleValuePairSet(), ParameterHandleValuePairSetImp::ParameterHandleValuePairSetImp(), certi::fedparser::printOrder(), and RTIA::processNetworkMessage().

const TransportType RELIABLE = 1

Definition at line 136 of file certi.hh.

Referenced by AttributeHandleValuePairSet::AttributeHandleValuePairSet(), AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(), Interaction::changeTransportationType(), SocketServer::getSocketLink(), ParameterHandleValuePairSet::ParameterHandleValuePairSet(), ParameterHandleValuePairSetImp::ParameterHandleValuePairSetImp(), and certi::fedparser::printTransport().

const OrderType TIMESTAMP = 2

Definition at line 139 of file certi.hh.

Referenced by Interaction::changeOrderType(), certi::fedparser::printOrder(), and RTIA::processNetworkMessage().